import { CSSModuleExports } from 'lightningcss';
import { OnResolveArgs, PluginBuild } from 'esbuild';
export declare const codeWithSourceMap: (code: string, map: string) => string;
export declare const cssExportsToJs: (exports: CSSModuleExports, entryFile: string) => string;
/**
 * 从路径中解析文件路径和 query
 */
export declare const parsePath: (path: string) => {
    path: string;
    query: string;
};
export declare function resolvePath(args: OnResolveArgs, build: PluginBuild): Promise<{
    path: string;
    query: string;
}>;
export declare const generateTargets: (queries: string) => import("lightningcss").Targets;
export declare const replaceExtension: (file: string, ext: string) => string;
